# Contributing

Contributions are **welcome** and will be fully **credited**.

We accept contributions via Pull Requests on [Github](https://github.com/STUkh <stukak@gmail.com>/).


## Pull Requests

- **Document any change in behaviour** - Make sure the `README.md` and any other relevant documentation are kept up-to-date.

- **Consider our release cycle** - We try to follow [SemVer v2.0.0](http://semver.org/). Randomly breaking public APIs is not an option.

- **Create feature branches** - Don't ask us to pull from your master branch.

- **Follow ESLink standard codestyle** - We use standard code style to keep codebase fresh and clean

- **Exclude ./dist folder from PR** - Ensure that *dist* files excluded from PR. Build will be updated before publishing

- **One pull request per feature** - If you want to do more than one thing, send multiple pull requests.

**Happy coding**!
